Skip to main content
GET
Retrieve the exchange rate between two currencies for a given date.

Headers

string
required
Bearer token authentication.

Query Parameters

string
required
The date of the exchange rate, in YYYY-MM-DD format (UTC). Cannot be later than the current date in UTC.
string
required
The ISO 4217 code of the currency to convert from (e.g., USD). Case-insensitive. See Currencies for list of supported currencies.
string
required
The ISO 4217 code of the currency to convert to (e.g., EUR). Case-insensitive. See Currencies for list of supported currencies.

Response

string
Always tax.exchange_rate.
string
The date of the exchange rate, in YYYY-MM-DD format (UTC).
string
The ISO 4217 code of the currency converted from, in uppercase.
string
The ISO 4217 code of the currency converted to, in uppercase.
number
The amount of target_currency equal to one unit of base_currency. Values are not rounded. Returns 1 when base_currency and target_currency are the same.
For weekends and market holidays, the rate from the most recent trading day is returned.

Errors

If a request has more than one error, only the first is returned, in the order listed below.
StatusTypeDescription
400UNRECOGNIZED_FIELDThe request includes a query parameter other than date, base_currency, or target_currency.
400MISSING_FIELDA required query parameter is missing or empty.
400INVALID_DATEdate is not a valid calendar date in YYYY-MM-DD format.
400DATE_OUT_OF_RANGEdate is later than the current date in UTC.
400INVALID_CURRENCY_CODEbase_currency or target_currency is not a three-letter code.
400UNSUPPORTED_CURRENCY_CODEbase_currency or target_currency is not a supported currency.
404EXCHANGE_RATE_NOT_FOUNDNo exchange rate is available for the currency pair on the given date.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

date
string<date>
required

The date of the exchange rate, in YYYY-MM-DD format (UTC). Cannot be later than the current date in UTC.

base_currency
string
required

ISO 4217 code of the currency to convert from. Case-insensitive.

target_currency
string
required

ISO 4217 code of the currency to convert to. Case-insensitive.

Response

Exchange rate for the requested currency pair and date

object
enum<string>
required
Available options:
tax.exchange_rate
date
string<date>
required

The date of the exchange rate, in YYYY-MM-DD format (UTC)

base_currency
string
required

ISO 4217 code of the currency converted from, in uppercase

target_currency
string
required

ISO 4217 code of the currency converted to, in uppercase

rate
number
required

Amount of target_currency equal to one unit of base_currency. Not rounded.